a {
  $space-width: 50px;
  $line-height: 2px;

  background-image: linear-gradient($color-background, $color-background), linear-gradient($color-black, $color-black), linear-gradient($color-black, $color-black);
  background-size: $space-width $line-height, 100% $line-height, 0 $line-height;
  background-position: -$space-width 100%, 100% 100%, 0 100%;
  background-repeat: no-repeat;
  transition: background-size .7s ease, background-position .7s ease;

  &:hover {
    background-size: $space-width $line-height, 0 $line-height, 100% $line-height;
    background-position: calc(100% + #{$space-width}) 100%, 100% 100%, 0 100%;
  }
}
